# module Foreman::Export

### Public Class Methods

error(message) click to toggle source

    # File lib/foreman/export.rb, line 22
    def self.error(message)
      raise Foreman::Export::Exception.new(message)
    end

formatter(format) click to toggle source

    # File lib/foreman/export.rb, line 10
    def self.formatter(format)
      begin
        require "foreman/export/#{ format.tr('-', '_') }"
        classy_format = classify(format)
        formatter     = constantize("Foreman::Export::#{ classy_format }")
      rescue NameError => ex
        error "Unknown export format: #{format} (no class Foreman::Export::#{ classy_format })."
      rescue LoadError => ex
        error "Unknown export format: #{format} (unable to load file 'foreman/export/#{ format.tr('-', '_') }')."
      end
    end